org.apache.tamaya.model

## Interface ConfigModel

- All Known Implementing Classes:
    AbstractModel, AreaConfigModel, ConfigModelGroup, ParameterModel

      public interface ConfigModel

  Base structure describing a validated item, by default a parameter or a section.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Get an description of the item, using the default locale.
    `String` | `getName()` Get the item's name, it should minimally describe the validation.
    `String` | `getProvider()` Get the provider of this validation.
    `ModelType` | `getType()` Get the type of item that is modelled.
    `boolean` | `isRequired()` Check if this validation is a required one.
    `Collection<ValidationResult>` | `validate(org.apache.tamaya.Configuration config)` Validates the item and all its children against the given configuration.

- - ### Method Detail

    - #### getType

          ModelType getType()

      Get the type of item that is modelled.
      Returns:
        the modelled type, never null.

    - #### getName

          String getName()

      Get the item's name, it should minimally describe the validation. Examples are:

               Sections: a.b.c
               Params: a.b.c.paramName
               Filter: a.b.c.FilterImplClass
               Dependency: mydepClassname
               CombinationPolicy: a.b.c.MyCombinationPolicyClass

      Returns:
        the item's name.

    - #### isRequired

          boolean isRequired()

      Check if this validation is a required one.
      Returns:
        true, if this validation is required.

    - #### getProvider

          String getProvider()

      Get the provider of this validation.
      Returns:
        the provider.

    - #### getDescription

          String getDescription()

      Get an description of the item, using the default locale. The description is basically optional though it is higly recommended to provide a description, so the validation issues is well resolvable.
      Returns:
        the description required, or null.

    - #### validate

          Collection<ValidationResult> validate(org.apache.tamaya.Configuration config)

      Validates the item and all its children against the given configuration.
      Parameters:
        `config` - the configuration to be validated against, not null.
      Returns:
        the validation results, never null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.